#ifndef  CLIB_XVS_PROTOS_H
#define  CLIB_XVS_PROTOS_H

/*
**	$VER: clib/xvs_protos.h 33.1 (10.09.1998) by SDI
**
**	(C) Copyright 1998 by Georg Hrmann and Dirk Stcker
**	    All Rights Reserved
*/

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif

#ifndef LIBRARIES_XVS_H
#include <libraries/xvs.h>
#endif

APTR  xvsAllocObject(ULONG objecttype);
ULONG xvsCheckBootblock(struct xvsBootInfo *bootinfo);
ULONG xvsCheckFile(struct xvsFileInfo *fileinfo);
ULONG xvsCheckSector(struct xvsSectorInfo *sectorinfo);

struct xvsVirusList *xvsCreateVirusList(ULONG listtype);

void  xvsFreeObject(APTR object);
void  xvsFreeVirusList(struct xvsVirusList *viruslist);
void  xvsInstallBootblock(APTR bootblock, ULONG boottype, ULONG dostype);
ULONG xvsObjectType(APTR object);
BOOL  xvsRepairFile(struct xvsFileInfo *fileinfo);
BOOL  xvsRepairSector(struct xvsSectorInfo *sectorinfo);
BOOL  xvsSelfTest(void);
void  xvsSumBootblock(APTR bootblock, ULONG offset);
ULONG xvsSurveyMemory(struct xvsMemoryInfo *memoryinfo);

#endif	/* CLIB_XVS_PROTOS_H */

